<?
$sub_menu = "100300";
include_once("./_common.php");

auth_check($auth[$sub_menu], "r");

if (!$config[cf_email_use])
    alert("基本设定中\'开启群发邮件\'功能后才可以使用");

include_once("$g4[path]/lib/mailer.lib.php");

$g4[title] = "群发邮件测试";
include_once("./admin.head.php");

if ($mail) {
    check_token();

    $from_name  = "邮件地址检查";
    $from_email = "mail@mail";

    $email = explode(",", $mail);
    for ($i=0; $i<count($email); $i++)
        mailer($from_name, $from_email, trim($email[$i]), "[群发邮件测试] 标题", "<span style='font-size:9pt;'>[群发邮件测试] 内容<p>如果能受到此信说明服务器sendmail模块运行正常<p>".date("Y-m-d H:i:s")."<p>请勿回复此邮件</span>", 1);

    echo <<<HEREDOC
    <SCRIPT LANGUAGE="JavaScript">
        alert("{$mail} 邮件发送完毕\\n\\n请确认是否受到\\n\\n通常收不到邮件的原因是sendmail模块没有工作\\n\\n请联系服务器管理员解决");
    </SCRIPT>
HEREDOC;
}

$token = get_token();
?>

<img src='<?=$g4[admin_path]?>/img/icon_title.gif'> <span class=title><?=$g4[title]?></span>
<p>

<form name=fsendmailtest method=post>
<input type=hidden name=token value='<?=$token?>'>
<p>此功能用于测试邮件是否可以正常发送
<p>只会向指定的邮件地址发送邮件
<p>如果无法收到测试邮件可能是Sendmail模块没有运作
<p>可以向多个邮件运营商发送邮件判断是否sendmail模块问题
<p>向多个地址同时发送测试邮件时请使用,分隔
<p>邮件地址 : <input type=text class=ed name=mail size=40 required itemname="E-mail" value="<?=$member[mb_email]?>">
<input type=submit value="  确  认  " class=btn1>
</form>

<?
include_once("./admin.tail.php");
?>
